/*
 * main_utils.h
 *
 *  Created on: May 9, 2016
 *      Author: vlegrand
 */

#ifndef MAIN_UTILS_H_
#define MAIN_UTILS_H_


#define k_max_collision_proba 0.05

#include <string>
#include <vector>
#include "rock_commons.h"




unsigned long getNodePhysMemory();
std::string checkDirExists(const std::string o_file);
int getBestLambdaForN(const unsigned long& nb_k_mers,const int& smallest_kappa,const unsigned int& m,const float& max_collision_proba);
int getBestLambdaForN_altn(const unsigned long& nb_k_mers,const int& smallest_kappa,const unsigned int& m,const float& max_collision_proba);
double gammln(const unsigned long& xx);
double pmf(const float&x,const unsigned long& nb_k_mers,const unsigned int& m);
double ccdf(const int& smallest_kappa,const unsigned long& nb_k_mers,const unsigned int& m);
float getCollisionProba(const int& smallest_kappa,const unsigned long& nb_k_mers,const unsigned int& arr_cms_size,const int& lambda);
void usage(int status);


#endif /* MAIN_UTILS_H_ */
